<header>
    <form (submit)="search('search', $event)">
        <mat-form-field class="example-full-width" appearance="fill">
            <mat-label>Paese</mat-label>
            <input matInput #message maxlength="256">
        </mat-form-field>
        <button type="submit" mat-button>Cerca</button>
        <button type="button" mat-button (click)="togglePage()">Preferiti</button>
        <button type="button" mat-button (click)="deleteProfile()">Cancella profilo</button>
    </form>
</header>

<div id="cards" [ngClass]="{'favorites': activePage=='favorites'}">
    <div *ngFor="let card of data[activePage]">
        <mat-card class="meteo-card">
            <mat-card-title-group>
                <mat-card-title>{{card.name}}</mat-card-title>
                <mat-card-subtitle>{{card.country}}</mat-card-subtitle>
                <img mat-card-sm-image src={{card.icon}}>
            </mat-card-title-group>
            <mat-card-content>
                <div>
                    <p>Temperatura: {{card.temp}}°C</p>
                    <p>Temperatura Massima: {{card.tempmax}}°C</p>
                    <p>Temperatura Minima: {{card.tempmin}}°C</p>
                    <p>Meteo: {{card.weather}}</p>
                    <p>Vento: {{card.wind}} Km/h</p>
                    <a href={{card.map}} target="_blank">MAPPA</a>
                    <button mat-button (click)="removeCard(card)">Rimuovi</button>
                    <button *ngIf="activePage!='favorites'" mat-button (click)="toggleFavorite(card.name, true)">Aggiungi preferito</button>
                    <button *ngIf="activePage=='favorites'" mat-button (click)="toggleFavorite(card.name, false)">Rimuovi preferito</button>
                </div>
            </mat-card-content>
        </mat-card>
    </div>
</div>